package li.cil.oc.common.item

import cpw.mods.fml.common.Loader
import li.cil.oc.Settings
import net.minecraft.client.renderer.texture.IconRegister
import net.minecraft.item.ItemStack
import net.minecraft.entity.player.EntityPlayer
import java.util
import li.cil.oc.util.Tooltip

class IronNugget(val parent: Delegator) extends Delegate {
  val unlocalizedName = "IronNugget"

  override val showInItemList = !Loader.isModLoaded("gregtech_addon")
  override def tooltipLines(stack: ItemStack, player: EntityPlayer, tooltip: util.List[String], advanced: Boolean) {
    tooltip.addAll(Tooltip.get(unlocalizedName))
    super.tooltipLines(stack, player, tooltip, advanced)
  }
  override def registerIcons(iconRegister: IconRegister) = {
    super.registerIcons(iconRegister)

    icon = iconRegister.registerIcon(Settings.resourceDomain + ":iron_nugget")
  }
}
